- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Create { Group => undef, Member => undef }
  - _StashUser PRINCIPAL
  - Delete
  - MemberObj
  - GroupObj
  - id
  - GroupId
  - SetGroupId VALUE
  - MemberId
  - SetMemberId VALUE
  - Creator
  - Created
  - LastUpdatedBy
  - LastUpdated

# NAME

      RT::GroupMember - a member of an RT Group

# SYNOPSIS

RT::GroupMember should never be called directly. It should ONLY only be accessed through the helper functions in RT::Group;

If you're operating on an RT::GroupMember object yourself, you ARE doing something wrong.

# DESCRIPTION

# METHODS

## Create { Group => undef, Member => undef }

Add a Principal to the group Group. if the Principal is a group, automatically inserts all members of the principal into the cached members table recursively down.

Both Group and Member are expected to be RT::Principal objects

## _StashUser PRINCIPAL

Create { Group => undef, Member => undef }

Creates an entry in the groupmembers table, which lists a user as a member of himself. This makes ACL checks a whole bunch easier. This happens once on user create and never ever gets yanked out.

PRINCIPAL is expected to be an RT::Principal object for a user

This routine expects to be called inside a transaction by RT::User->Create

## Delete

Takes no arguments. deletes the currently loaded member from the group in question.

## MemberObj

Returns an RT::Principal object for the Principal specified by $self->MemberId

## GroupObj

Returns an RT::Principal object for the Group specified in $self->GroupId

## id

Returns the current value of id. (In the database, id is stored as int(11).)

## GroupId

Returns the current value of GroupId. (In the database, GroupId is stored as int(11).)

## SetGroupId VALUE

Set GroupId to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, GroupId will be stored as a int(11).)

## MemberId

Returns the current value of MemberId. (In the database, MemberId is stored as int(11).)

## SetMemberId VALUE

Set MemberId to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, MemberId will be stored as a int(11).)

## Creator

Returns the current value of Creator. (In the database, Creator is stored as int(11).)

## Created

Returns the current value of Created. (In the database, Created is stored as datetime.)

## LastUpdatedBy

Returns the current value of LastUpdatedBy. (In the database, LastUpdatedBy is stored as int(11).)

## LastUpdated

Returns the current value of LastUpdated. (In the database, LastUpdated is stored as datetime.)

← Back to index